<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>location.hash + iframe跨域-b</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
<iframe id="iframe" src="http://www.domain1.com/c.html" style="display:none;"></iframe>
<script>
   var iframe = document.getElementById('iframe');
   // 监听a.html传来的hash值，再传给c.html
   window.onhashchange = function () {
       iframe.src = iframe.src + location.hash;
   };
</script>
 </body>
</html>